# Generated by Django 3.2.21 on 2024-04-11 10:24

from django.db import migrations, models


class Migration(migrations.Migration):
    """
    Migration file to add plural fields for alternative words and plural article fields
    """

    dependencies = [
        ("cms", "0013_add_plural_field"),
    ]

    operations = [
        migrations.RenameField(
            model_name="document",
            old_name="article",
            new_name="singular_article",
        ),
        migrations.AlterField(
            model_name="document",
            name="singular_article",
            field=models.IntegerField(
                choices=[
                    (0, "keiner"),
                    (1, "der"),
                    (2, "die"),
                    (3, "das"),
                    (4, "die (Plural)"),
                ],
                default="",
                verbose_name="singular article",
            ),
        ),
        migrations.AddField(
            model_name="document",
            name="plural_article",
            field=models.IntegerField(
                blank=True,
                choices=[(0, "keiner"), (1, "die (Plural)")],
                null=True,
                verbose_name="plural article",
            ),
        ),
        migrations.RenameField(
            model_name="alternativeword",
            old_name="article",
            new_name="singular_article",
        ),
        migrations.AlterField(
            model_name="alternativeword",
            name="singular_article",
            field=models.IntegerField(
                choices=[
                    (0, "keiner"),
                    (1, "der"),
                    (2, "die"),
                    (3, "das"),
                    (4, "die (Plural)"),
                ],
                verbose_name="singular article",
                blank=True,
                null=True,
            ),
        ),
        migrations.AddField(
            model_name="alternativeword",
            name="plural",
            field=models.CharField(
                blank=True, default="", max_length=255, verbose_name="plural"
            ),
        ),
        migrations.AddField(
            model_name="alternativeword",
            name="plural_article",
            field=models.IntegerField(
                blank=True,
                choices=[(0, "keiner"), (1, "die (Plural)")],
                null=True,
                verbose_name="plural article",
            ),
        ),
    ]
